SIRequestFailureType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service
Class SIRequestFailureType

    java.lang.Object
      javax.tv.service.SIRequestFailureType

    public class SIRequestFailureType

extends Object

This class represents reason codes for failure of asynchronous SI retrieval requests. It is subclassed to provide the individual reason codes.

See Also:
  `SIRequestor.notifyFailure(javax.tv.service.SIRequestFailureType)`, `SIRequest`

Field Summary
`static SIRequestFailureType` | `CANCELED` The reason generated when the `SIRequest` is canceled.
`static SIRequestFailureType` | `DATA_UNAVAILABLE` The reason generated when the system cannot find the requested data.
`static SIRequestFailureType` | `INSUFFICIENT_RESOURCES` The reason generated when the resources required to fulfill an asynchronous SI retrieval (such as a tuner, section filter, etc.) are unavailable.
`static SIRequestFailureType` | `UNKNOWN` The reason for the failure is unknown.

Method Summary
`String` | `toString()` Provides the string name of the type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CANCELED

    public static final SIRequestFailureType CANCELED

  The reason generated when the `SIRequest` is canceled.

  See Also:
    `SIRequest.cancel()`

### INSUFFICIENT_RESOURCES

    public static final SIRequestFailureType INSUFFICIENT_RESOURCES

  The reason generated when the resources required to fulfill an asynchronous SI retrieval (such as a tuner, section filter, etc.) are unavailable. The application may attempt to release some resources and attempt the request again.

### DATA_UNAVAILABLE

    public static final SIRequestFailureType DATA_UNAVAILABLE

  The reason generated when the system cannot find the requested data. This occurs when the requested data is not present in the transport stream, when the data is present on some transport/network but the SI database does not know about it, or when the type of requested data is not supported by the broadcast environment.

### UNKNOWN

    public static final SIRequestFailureType UNKNOWN

  The reason for the failure is unknown.

Method Detail

### toString

    public String toString()

  Provides the string name of the type. For the type objects defined in this class, the string name will be identical to the class variable name.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string name of the type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD